package com.tuoheng.admin.enums.code.dept;

/**
 *  删除部门信息返回码
 *      模块代码：20（部门管理）
 *      接口代码：05 （删除部门）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-20
 */
public enum DeleteDeptCodeEnum {

    DELETE_DEPT_IS_FAILED(1200500, "删除部门失败"),
    DEPT_ID_IS_NULL(1200501, "部门id为空"),
    DEPT_IS_NOT_EXIST(1200502, "部门不存在"),
    DEPT_IEXIST_USER(1200503, "该部门下有绑定用户"),
    DEPT_IEXIST_CHILDREN_DEPT(1200504, "该部门下有子部门");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    DeleteDeptCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
